Consultar lista de locations
curl --request GET \
--url https://spi.sandbox.lerian.net/api/v1/brcode/loc \
--header 'Authorization: Bearer <token>'import requests
url = "https://spi.sandbox.lerian.net/api/v1/brcode/loc"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://spi.sandbox.lerian.net/api/v1/brcode/loc', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"loc": [
{
"criacao": "<string>",
"id": 123,
"location": "<string>",
"txid": "<string>"
}
],
"parametros": {
"fim": "<string>",
"inicio": "<string>",
"paginacao": {
"itensPorPagina": 123,
"paginaAtual": 123,
"quantidadeDePaginas": 123,
"quantidadeTotalDeItens": 123
}
}
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank"
}Consultar lista de locations
Lista locations por fecha de inicio, fecha de fin, txIdPresente y tipoCob. API Pix GET /loc.
GET
/
api
/
v1
/
brcode
/
loc
Consultar lista de locations
Autorizaciones
JWT bearer token issued by the identity provider.
Parámetros de consulta
Início do filtro de criação (RFC 3339).
Fim do filtro de criação (RFC 3339).
Filtra por locations com (ou sem) txid vinculado (true/false).
Filtra pelo tipo de cobrança.
Opciones disponibles:
cob, cobv Página a ser retornada (0-based).
Rango requerido:
x >= 0Itens por página (1..1000).
Rango requerido:
1 <= x <= 1000¿Esta página le ayudó?
⌘I

